Scans from left, until a test passes. [:running:] [:vhs:] [:package:] [:moon:] [:ledger:]
> Alternatives: [scanWhile], [scanWhileRight], [scanUntil], [scanUntilRight].<br>
> Similar: [search], [scan], [find].<br>
> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

```javascript
iterable.scanUntil(x, ft);
// x:  an iterable
// ft: test function (v, i, x)
// --> index where test passes
```

```javascript
const iterable = require('extra-iterable');

var x = [1, 1, 2, 2, 3, 3, 4, 4];
iterable.scanUntil(x, v => v % 2 === 0);
// 2           ^

iterable.scanUntil(x, v => v % 3 === 0);
// 4                 ^

iterable.scanUntil(x, v => v % 6 === 0);
// 8                            ^
```

### references

- [List-Extra.elemIndex: elm](https://package.elm-lang.org/packages/elm-community/list-extra/7.1.0/List-Extra#elemIndex)
- [iterable-binsearch: @krisselden](https://www.npmjs.com/package/iterable-binsearch)
- [binarysearch: @soldair](https://www.npmjs.com/package/binarysearch)

[search]: https://github.com/nodef/extra-iterable/wiki/search
[searchRight]: https://github.com/nodef/extra-iterable/wiki/searchRight
[searchAll]: https://github.com/nodef/extra-iterable/wiki/searchAll
[:running:]: https://npm.runkit.com/@extra-iterable/scan-until
[:package:]: https://www.npmjs.com/package/@extra-iterable/scan-until
[:moon:]: https://www.npmjs.com/package/@extra-iterable/scan-until.min
[:ledger:]: https://unpkg.com/@extra-iterable/scan-until/
[scanWhile]: https://github.com/nodef/extra-iterable/wiki/scanWhile
[scanWhileRight]: https://github.com/nodef/extra-iterable/wiki/scanWhileRight
[scanUntil]: https://github.com/nodef/extra-iterable/wiki/scanUntil
[scanUntilRight]: https://github.com/nodef/extra-iterable/wiki/scanUntilRight
[scan]: https://github.com/nodef/extra-iterable/wiki/scan
[find]: https://github.com/nodef/extra-iterable/wiki/find
[:vhs:]: https://asciinema.org/a/339809
